org.apache.tinkerpop.gremlin.util.config

## Class YamlConfiguration

- java.lang.Object
- - AbstractHierarchicalFileConfiguration
  - - org.apache.tinkerpop.gremlin.util.config.YamlConfiguration

-     public class YamlConfiguration
      extends AbstractHierarchicalFileConfiguration

  Apache Commons Configuration object for YAML. Adapted from code originally found here: https://github.com/PEXPlugins/SimpleConfigs
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_IDENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `YamlConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `load(Reader in)`
    `protected void` | `loadHierarchy(ConfigurationNode parentNode, Object obj)`
    `void` | `save(Writer out)`
    `protected Object` | `saveHierarchy(ConfigurationNode parentNode)`
    `void` | `setXmlCompatibility(boolean xmlCompatibility)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_IDENT

          public static final int DEFAULT_IDENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### YamlConfiguration

          public YamlConfiguration()

  - ### Method Detail

    - #### setXmlCompatibility

          public void setXmlCompatibility(boolean xmlCompatibility)

    - #### load

          public void load(Reader in)
                    throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### save

          public void save(Writer out)
                    throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### loadHierarchy

          protected void loadHierarchy(ConfigurationNode parentNode,
                                       Object obj)

    - #### saveHierarchy

          protected Object saveHierarchy(ConfigurationNode parentNode)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.